<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/ads/class/view/adminpluginadssettingsview.class.php" );

	class PluginAdsConfigureAction extends AdminAction
	{
		function PluginAdsConfigureAction( $request, $actionInfo )
		{
			$this->AdminAction( $request, $actionInfo );
			
			$this->requireAdminPermission( "manage_ad_blocks" );
		}
		
		function perform()
		{
			$this->_view = new AdminPluginAdsSettingsView( $this->_blogInfo );
			$this->setCommonData();
		}
	}	
?>